Subject: bug#59334: 29.0.50; loading native-compiled init file sets user-init-file to .eln

From: Andrea Corallo <[email-masked]>
Date: Fri, 18 Nov 2022 10:39:46 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Juanma Barranquero <[email-masked]>
>> Date: Fri, 18 Nov 2022 08:45:03 +0100
>> Cc: [email-masked], [email-masked]
>> 
>> > I think the call to gethash should only be done if the file has the
>> > .eln extension, otherwise you might have false positives.
>> 
>> Do you mean the hash comp-eln-to-el-h could have keys that match something that doesn't end in .eln? Or
>> that someone could've an init file with extension .eln and matching one of the keys? Both seem extremely
>> unlikely, but ok.
>
> I thought about a possibility that the session loaded a .eln file, but
> then the user or some Lisp explicitly loaded the .el file by hand.
> I'm not sure in this case the hash table is updated.

In that case (manual load af an .el file) the hash table is just not
updated (and still all the keys in it should be only .eln files).

  Andrea